Sound: To Harmonicity (ac)...

A command that creates a Harmonicity object from every selected Sound object.

## Purpose

to perform a short-term HNR analysis.

## Algorithm

The algorithm performs an acoustic periodicity detection on the basis of an accurate autocorrelation method, as described in Boersma (1993).

## Settings

Time step (standard value: 0.01 s)
  the measurement interval (frame duration), in seconds.
Pitch floor (standard value: 75 Hz)
  determines the length of the analysis window.
Silence threshold (standard value: 0.1)
  frames that do not contain amplitudes above this threshold (relative to the global maximum amplitude), are considered silent.
Number of periods per window (standard value: 4.5)
  4.5 is best for speech: HNR values up to 37 dB are guaranteed to be detected reliably; 6 periods per window raises this figure to more than 60 dB, but the algorithm becomes more sensitive to dynamic changes in the signal.

## Usage

You will normally use Sound: To Harmonicity (cc)... instead of this command, because that has a much better time resolution (though its sensitivity is 60, not 80 dB).

### Links to this page

- Periodicity menu
- Voice 4. Additive noise
- What was new in 3.9?